[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: libsvn_client.pc should set -lsvn_client-1 instead of -lsvn_client

From: James McCoy <jamessan_at_apache.org>
Date: Tue, 12 May 2020 16:29:06 -0000

On 2020/05/12 16:21:18, Andreas K. Hüttel <dilfridge_at_gentoo.org> wrote:
> Bug: libsvn_client.pc should set -lsvn_client-1 instead of -lsvn_client
> Verified with subversion-1.12.2
> See also: https://bugs.gentoo.org/686148
>
> pkg-config requests linking to libsvn_client ...
>
> # pkg-config --libs libsvn_client
> -lsvn_client -lapr-1 -luuid -lrt -lcrypt -lpthread -ldl
>
> ... but what is installed is libsvn_client-1:

This was fixed in r1863990 and will be part of the 1.14 release.

Cheers,
James
Received on 2020-05-12 18:29:08 CEST

This is an archived mail posted to the Subversion Users mailing list.